You can upgrade vSphere Distributed Switch version 6.x to a later version. The upgrade lets the distributed switch take advantage of features that are available only in the later version.

About this task

The upgrade of a distributed switch causes the hosts and virtual machines attached to the switch to experience a brief downtime. For more information, see KB 52621.

Note:

To be able to restore the connectivity of the virtual machines and VMkernel adapters if the upgrade fails, back up the configuration of the distributed switch.

If the upgrade is not successful, to recreate the switch with its port groups and connected hosts, you can import the switch configuration file. See Export vSphere Distributed Switch Configurations and Import a vSphere Distributed Switch Configuration.

Prerequisites

  • Upgrade vCenter Server to version 6.7.

  • Upgrade all hosts connected to the distributed switch to ESXi 6.7.

Procedure

  1. In the vSphere Web Client, navigate to the distributed switch.
  2. Right-click the distributed switch and select Upgrade > Upgrade Distributed Switch.
  3. Select the vSphere Distributed Switch version that you want to upgrade the switch to and click Next.

    Option

    Description

    Version 6.6.0

    Compatible with ESXi version 6.7 and later.

    Version 6.5.0

    Compatible with ESXi version 6.5 and later. Features released with later vSphere Distributed Switch versions are not supported.

    Version 6.0.0

    Compatible with ESXi version 6.0 and later. Features released with later vSphere Distributed Switch versions are not supported.

  4. Review host compatibility and click Next.

    Some ESXi instances that are connected to the distributed switch might be incompatible with the selected target version. Upgrade or remove the incompatible hosts, or select another upgrade version for the distributed switch.

  5. Complete the upgrade configuration and click Finish.
    Caution:

    After you upgrade the vSphere Distributed Switch, you cannot revert it to an earlier version. You also cannot add ESXi hosts that are running an earlier version than the new version of the switch.